> For the complete documentation index, see [llms.txt](https://docs.bugsplat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bugsplat.com/api-reference/api/import-migrate.md).

# Import/Migrate

API Documentation for the BugSplat Crashes Endpoint

Endpoint to help your team to upload existing crashes and migrate from an existing crash report solution to BugSplat. This endpoint is not suitable for production crash volumes.

## Upload Crash

<mark style="color:green;">`POST`</mark> `https://{database}.bugsplat.com/api/upload/manual/crash`

Migrate crash minidump files to BugSplat from your existing crash report solution. Note: this endpoint is not suitable for production crash volumes. Replace {database} with the name of your BugSplat database.

#### Request Body

| Name                                         | Type   | Description                                                                                                                                                                |
| -------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| appName<mark style="color:red;">\*</mark>    | string | Application name that generated the corresponding minidump file. This must match the application name used to upload symbol files.                                         |
| appVersion<mark style="color:red;">\*</mark> | string | Application version that generated the corresponding minidump file. This must match the version used to upload symbol files.                                               |
| minidump<mark style="color:red;">\*</mark>   | file   | Minidump file to upload                                                                                                                                                    |
| crashTypeId                                  | int    | TypeId for the corresponding minidump. 1=Windows Native, 6=Breakpad/Crashpad, 8=.NET Framework, 15=Unity Native Windows, 16=Unreal Engine (Linux Server), 17=Unreal Engine |
| appKey                                       | string | Optional appKey value                                                                                                                                                      |
| description                                  | string | Optional description value                                                                                                                                                 |
| email                                        | string | Optional email value                                                                                                                                                       |
| ipAddress                                    | string | Optional IP Address value                                                                                                                                                  |
| user                                         | string | Optional user value                                                                                                                                                        |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "status": "success",
    "crashId": 1,
    "techSupportUrl": "https://app.bugsplat.com/browse/crashInfo.php?vendor=Fred&version=1.0.0.0&key=*Default*&id=1&row=1"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bugsplat.com/api-reference/api/import-migrate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
